PREFIX = /usr/local/share
MAJOR = 0
MINOR = 9
REVISION = 10
VER = $(MAJOR).$(MINOR).$(REVISION)

DEST = $(PREFIX)/rec10

install:
	if ! [ -d $(PREFIX)/rec10 ]; then mkdir -p $(PREFIX)/rec10 ;fi
	cp ./*.py $(DEST)/
	echo -e "#!/bin/bash" > ./rec10
	echo -e "if type -P python2.6 > /dev/null\nthen\nexport LANG=\"ja_JP.UTF-8\" && python2.6 ${DEST}/rec10d.py" >> ./rec10
	echo -e "elif type -P python26 > /dev/null\nthen\nexport LANG=\"ja_JP.UTF-8\" && python26 ${DEST}/rec10d.py\n" >> ./rec10
	echo -e "elif type -P python2.5 > /dev/null\nthen\nexport LANG=\"ja_JP.UTF-8\" && python2.5 ${DEST}/rec10d.py\n" >> ./rec10
	echo -e "elif type -P python25 > /dev/null\nthen\nexport LANG=\"ja_JP.UTF-8\" && python25 ${DEST}/rec10d.py" >> ./rec10
	echo -e "elif type -P python2.7 > /dev/null\nthen\nexport LANG=\"ja_JP.UTF-8\" && python2.7 ${DEST}/rec10d.py" >> ./rec10
	echo -e "elif type -P python27 > /dev/null\nthen\nexport LANG=\"ja_JP.UTF-8\" && python27 ${DEST}/rec10d.py" >> ./rec10
	echo -e "else export LANG=\"ja_JP.UTF-8\" && python ${DEST}/rec10d.py" >> ./rec10
        echo -e "fi\n" >> ./rec10
	install -m755 ./rec10 $(DEST)/
	if ! [ -f /usr/local/bin/rec10 ]; then ln $(DEST)/rec10 /usr/local/bin;fi
	chmod 755 /usr/local/bin/rec10
	if [ -f /etc/rec10.conf ]; then rm /etc/rec10.conf;fi
	cp ./rec10.conf /etc/rec10.conf
	if ! [ -d /tmp/rec10 ]; then mkdir -p /tmp/rec10 ;fi
	chmod 777 /tmp/rec10
	if ! [ -d /var/log/rec10 ]; then echo "" > /var/log/rec10 ;fi
	chmod 777 /var/log/rec10
uninstall:
	rm -rf $(DEST)
	rm -rf /tmp/rec10
	rm -f /usr/local/bin/rec10
